#!/bin/bash

if lsmod | grep -q exzess ; then
	echo "module is already loaded"
else
	insmod ./exzess.ko
fi

if [ ! -c /dev/exzess ] ; then
	if grep -q exzess /proc/devices ; then
		MAJOR=`grep exzess /proc/devices | cut -d ' ' -f 1`
		mknod /dev/exzess c $MAJOR 0
		echo "device /dev/exzess c $MAJOR 0 created"
	fi
fi

echo "1" > /sys/bus/pci/devices/0000:02:00.0/remove
echo "1" > /sys/bus/pci/devices/0000:00:00.0/rescan

echo "reinit done"
